summaryrefslogtreecommitdiff
path: root/dev-python/python-ptrace
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-18 18:36:34 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-18 18:36:34 +0000
commitf661792935a66291d89e9bdf001fb8fc7a9ed815 (patch)
tree4a72074be7171ddb44227210d4783a936911dda8 /dev-python/python-ptrace
parent8186801834f408cadc46c6a3c0de44faf8bc1cb0 (diff)
downloadbaldeagleos-repo-f661792935a66291d89e9bdf001fb8fc7a9ed815.tar.gz
baldeagleos-repo-f661792935a66291d89e9bdf001fb8fc7a9ed815.tar.xz
baldeagleos-repo-f661792935a66291d89e9bdf001fb8fc7a9ed815.zip
Adding metadata
Diffstat (limited to 'dev-python/python-ptrace')
-rw-r--r--dev-python/python-ptrace/files/python-ptrace-0.9.8-python3_12.patch30
-rw-r--r--dev-python/python-ptrace/python-ptrace-0.9.8-r1.ebuild36
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-python/python-ptrace/files/python-ptrace-0.9.8-python3_12.patch b/dev-python/python-ptrace/files/python-ptrace-0.9.8-python3_12.patch
new file mode 100644
index 000000000000..fc7e55f6160e
--- /dev/null
+++ b/dev-python/python-ptrace/files/python-ptrace-0.9.8-python3_12.patch
@@ -0,0 +1,30 @@
+Upstream: https://github.com/vstinner/python-ptrace/pull/81
+commit 80e0c97a84eccb8b82737cf40b9c5581c20c245f
+Author: Mario Haustein <mario.haustein@hrz.tu-chemnitz.de>
+Date: Sat Sep 16 13:49:43 2023 +0200
+
+ Remove deprecated `imp` module
+
+--- a/setup.py
++++ b/setup.py
+@@ -28,7 +28,7 @@
+ # - git commit -a -m "post-release"
+ # - git push
+
+-from imp import load_source
++import importlib.util
+ from os import path
+ try:
+ # setuptools supports bdist_wheel
+@@ -55,7 +55,10 @@ CLASSIFIERS = [
+ with open('README.rst') as fp:
+ LONG_DESCRIPTION = fp.read()
+
+-ptrace = load_source("version", path.join("ptrace", "version.py"))
++ptrace_spec = importlib.util.spec_from_file_location("version", path.join("ptrace", "version.py"))
++ptrace = importlib.util.module_from_spec(ptrace_spec)
++ptrace_spec.loader.exec_module(ptrace)
++
+ PACKAGES = {}
+ for name in MODULES:
+ PACKAGES[name] = name.replace(".", "/")
diff --git a/dev-python/python-ptrace/python-ptrace-0.9.8-r1.ebuild b/dev-python/python-ptrace/python-ptrace-0.9.8-r1.ebuild
new file mode 100644
index 000000000000..382693e8bc8d
--- /dev/null
+++ b/dev-python/python-ptrace/python-ptrace-0.9.8-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python binding of ptrace library"
+HOMEPAGE="https://github.com/vstinner/python-ptrace"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vstinner/python-ptrace"
+else
+ SRC_URI="https://github.com/vstinner/python-ptrace/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/six[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}/${P}-python3_12.patch"
+)
+
+distutils_enable_tests pytest
+
+src_test() {
+ ./runtests.py --tests tests/ || die
+}